package spaceObject.spaceShip;

import java.io.FileNotFoundException;
import javafx.geometry.Point2D;
import javafx.scene.Group;

public class HardEnemy extends Enemy {

	public HardEnemy(Group group) throws FileNotFoundException {
		super(group,
				"C:\\Users\\karlz\\Documents\\Eclipse\\SpaceShooter\\src\\main\\resources\\pictures\\spaceShip\\Hard Enemy.png",
				140, 120, 0.9, 5, 4);

		setMaxYPosition(250);
		setSpeed(300);
	}

	@Override
	public void specialAbility() {
		shoot(new Point2D(0, -0.8));
	}
}
